Subject: Re: [PATCH v3 0/5] show-ref: Allow -d, --head to work with --verify

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Jan 2017 12:03:56 -0800

Vladimir Panteleev <[email-masked]> writes:

> Third iteration, according to Junio's comments. This time we keep
> show_ref and show_one separate, accept HEAD with --verify even without
> --head, and add tests for dangling ref validation with --verify.

I am no longer a neutral judge but to me the resulting code looks a
lot more naturally structured than the original.

Thanks.  Will queue.